<template>
<div class="warnBox" v-if="DEBUG">
  {{msg}}
</div>
</template>

<script lang="ts">
import Vue from 'vue'
export default Vue.extend({
  props: {
    msg:  { type:String, required:true },
    that: { type:Boolean, required:true },
  },
  computed: {
    DEBUG: function () { return process.env.NODE_ENV === 'development' },
  },
})
</script>

<style scoped>
  .warnBox {
    background:lightcoral;
    font-weight:bold;
    padding:1rem;
    margin:0.5rem 0;
    border:2px outset red;
  }
</style>